about summary refs log tree commit diff
path: root/tests/timeout.sh
diff options
context:
space:
mode:
authorWill Dietz <w@wdtz.org>2017-04-05T12·34-0500
committerWill Dietz <w@wdtz.org>2017-04-08T17·59-0500
commit30f89e0d6564394747e20e04d486b81aeec96752 (patch)
tree67a555751e87ffb0e3b30dda1dc825a7a89c7a92 /tests/timeout.sh
parentd8ff3aaae7167e22d0c0f4f55ac9da8fb6655f1f (diff)
Process nix.conf options in "new" nix commands, add test.
Without this (minor) change, the options set using "--option"
or read from nix.conf were parsed but not used.
Diffstat (limited to 'tests/timeout.sh')
-rw-r--r--tests/timeout.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/timeout.sh b/tests/timeout.sh
index ce1ae7d674..77b227e89b 100644
--- a/tests/timeout.sh
+++ b/tests/timeout.sh
@@ -29,3 +29,8 @@ if nix-build timeout.nix -A closeLog; then
     echo "build should have failed"
     exit 1
 fi
+
+if nix build -f timeout.nix silent --option build-max-silent-time 2; then
+    echo "build should have failed"
+    exit 1
+fi